アプリ利用企業一覧
curl -X POST -H "Content-Type: application/x-www-form-urlencoded" -d 'client_id=xxxxxxxxx&client_secret=xxxxxxxxxxxxx' https://api.next-engine.org/api_app/company// POST /api_app/company - アプリ利用企業一覧const params = new URLSearchParams({ access_token: '<access_token>', // client_id: '...', // optional})const res = await fetch('https://api.next-engine.org/api_app/company', { method: 'POST', headers: { 'content-type': 'application/x-www-form-urlencoded' }, body: params,})const json = await res.json()if (json.result !== 'success') throw new Error(json.message ?? json.code)console.log(json.data)# POST /api_app/company - アプリ利用企業一覧import requests
params = { 'access_token': '<access_token>', # 'client_id': '...', # optional}res = requests.post( 'https://api.next-engine.org/api_app/company', data=params,)json = res.json()if json['result'] != 'success': raise RuntimeError(json.get('message') or json.get('code'))print(json.get('data'))Request Body required
Section titled “Request Body required ”object
OAuth2 アクセストークン (必須)
OAuth2 リフレッシュトークン (access_token 期限切れ時の自動更新に使用)
同期実行フラグ。“1” 指定で処理完了を待つ
取得するフィールドをカンマ区切りで指定 (search 系のみ)
検索開始位置 (search 系のみ)
取得件数 (search 系のみ)
ネクストエンジンの「アプリを作る」 -> 該当アプリの「詳細」または「編集」 -> 「API」タブにあるクライアントID / テスト環境で実施する場合は、テスト環境の値を指定する。販売する前には本番環境の値を指定する
ネクストエンジンの「アプリを作る」 -> 該当アプリの「詳細」または「編集」 -> 「API」タブにあるクライアントシークレット / client_idと同じ
Responses
Section titled “ Responses ”実行結果 (result が success / error / redirect のいずれか)
object
実行結果ステータス
エラー時のエラーコード
object
更新後のアクセストークン
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
更新後のリフレッシュトークン
リフレッシュトークン有効期限
エンドポイント固有のレスポンスデータ
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
Example
{ "result": "success", "count": "1", "data": [ { "company_id": "xxxxxxxxxxxxxx" } ]}クライアントエラー (HTTP ステータス自体は 200 + result=error で返ることが多い)
object
実行結果ステータス
エラー時のエラーコード
object
更新後のアクセストークン
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
更新後のリフレッシュトークン
リフレッシュトークン有効期限
エンドポイント固有のレスポンスデータ
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
Example
{ "result": "success"}